# RPM specfile for pan module
# Generated Tue Feb 12 18:41:22 2002 GMT by Ximian build system
# $Id: bb_do,v 1.164 2002/02/11 18:53:17 peter Exp $
# from $Id: ximian-build.conf,v 1.28 2002/01/10 19:22:35 dobey Exp $

%define nam	pan
%define ver	0.11.2

Name:     	pan
Version: 	0.11.2
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages
URL:		http://www.superpimp.org/
Epoch:		1
Source0:	pan-0.11.2.tar.gz
Summary:	Pan Newsreader
Group:		Applications/Internet

%description
Pan is a newsreader. It is GTK based, supports multiple servers,
threading, and multi-part binaries. Fairly lightwieght and fast. If
you like Forte's Agent for Windows, you might like this
Newsreader.

%files
%defattr(-, root, root)
%doc INSTALL
/opt/gnome/bin/pan
/opt/gnome/share/gnome/apps/Internet/pan.desktop
/opt/gnome/share/pixmaps/*
/opt/gnome/*/locale/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n pan-0.11.2
    ;;
all)
%setup  -q -n pan-0.11.2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Feb 12 2002 Ximian, Inc.

- Version: 1:0.11.2-1.ximian.1
- New Build

* Tue Feb 12 2002 Ximian, Inc.

- Version: 0.11.2-1.ximian.1
- New Build

* Tue Feb 12 2002 Ximian, Inc.

- Version: 1:0.11.2-1.ximian.1
- New Build

* Tue Feb 12 2002 Ximian, Inc.

- Version: 0.11.2-1.ximian.1
- New Build

* Tue Jan 22 2002 Ximian, Inc.

- Version: 0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 1:0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 1:0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 1:0.11.1-5.ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 1:0.11.1-ximian.1
- New upstream version.

* Thu Jan 10 2002 Ximian, Inc.

- Version: 0.11.1-ximian.1
- New upstream version.

* Thu Nov  8 2001 thunder

- Version: 0.10.0-ximian.1
- Imported into packaging system.

